body {
  font-family: sans-serif;
  background: #111111;
  color: #eee;
  padding: 20px;
  font-size: 1rem;
}

h1 {
  text-align: center;
  font-size: 3rem;
  margin: 0;
  margin-top: 1rem;
  margin-left: 1rem;
  margin-right: 1rem;
  padding: 0;
}

#collection-stats {
  text-align: center;
  font-size: 0.8rem;
  color: #aaa;
}

#search {
  display: block;
  margin: 10px auto 30px auto;
  width: 50%;
  padding: 0.5rem;
  font-size: 1rem;
  color: #eee;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid #496bbeaa;
}

#search::placeholder {
  color: #aaa;
}

#search:focus {
  outline: none;
  border-bottom: 1px solid #496bbe;
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  align-items: flex-start;
}

.gallery-item {
  position: relative;
  cursor: pointer;
}

.gallery-item img {
  border-radius: 0.1rem;
  transition: transform 0.2s;
}

.gallery-item img:hover {
  transform: scale(1.05);
}

.nsfw-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;

  border-radius: 0.1rem;
  font-weight: bold;
  font-size: 1rem;
  color: white;
  z-index: 10;

  background: transparent;
}

.nsfw-overlay::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  filter: blur(5px);
  border-radius: 0.1rem;
  z-index: -1;
}

.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 100;
}

.modal img {
  max-width: 100%;
  max-height: 100%;
  border-radius: 0.1rem;
}

#modal-meta {
  margin-top: 1rem;
  font-size: 1rem;
  color: #ccc;
}

#modal-close {
  position: absolute;
  top: 20px;
  right: 40px;
  font-size: 40px;
  cursor: pointer;
  color: #fff;
}
